/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */

package demo.ui;

import demo.model.Message;
import demo.service.ForumService;
import java.io.IOException;
import java.io.PrintWriter;
import java.util.List;
import javax.ejb.EJB;
import javax.servlet.ServletException;
import javax.servlet.annotation.WebServlet;
import javax.servlet.http.HttpServlet;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;

/**
 *
 * @author rosmord
 */
@WebServlet(name = "ListMessages", urlPatterns = {"/message/list"})
public class ListMessages extends HttpServlet {
    
    @EJB
    ForumService forumService;

    @Override
    protected void doGet(HttpServletRequest req, HttpServletResponse resp) throws ServletException, IOException {
        List<Message> l = forumService.getMessages();
        req.setAttribute("messages", l);
        req.getRequestDispatcher("/WEB-INF/jsp/listMessages.jsp").forward(req, resp);
    }
    
    

}