/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */
package services;

import java.util.List;
import javax.ejb.Stateless;
import javax.persistence.EntityManager;
import javax.persistence.PersistenceContext;
import model.User;

@Stateless
public class UserServices {

    @PersistenceContext
    EntityManager em;

    public User createUser(String login, String signature) {
        User u = new User(login, signature);
        em.persist(u);
        return u;
    }

    public List<User> getUsers() {
        return em.createQuery("select u from User u").getResultList();
    }

    public User getUser(String login) {
        //String query= "select u from User u where login = '"+ login + "'";
        return  em.createQuery("select u from User u where login = :log", User.class)
                .setParameter("log", login).getSingleResult();
    }
    
    public User getUser(Long id) {
        return em.find(User.class, id);
    }
    
}
