/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */
package ui;

import java.io.IOException;
import java.io.PrintWriter;
import javax.ejb.EJB;
import javax.servlet.ServletException;
import javax.servlet.annotation.WebServlet;
import javax.servlet.http.HttpServlet;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;
import model.User;
import services.UserServices;

/**
 *
 * @author rosmord
 */
@WebServlet(name = "CreateUserServlet", urlPatterns = {"/user/create"})
public class CreateUserServlet extends HttpServlet {
    
    @EJB
    UserServices userServices;
    
    @Override
    protected void doGet(HttpServletRequest req, HttpServletResponse resp) throws ServletException, IOException {
        req.getRequestDispatcher("/WEB-INF/jsp/userForm.jsp").forward(req, resp);
    }
    
    @Override
    protected void doPost(HttpServletRequest req, HttpServletResponse resp) throws ServletException, IOException {
        String login = req.getParameter("login");
        String signature = req.getParameter("signature");
        try {
            User u = userServices.createUser(login, signature);
            req.setAttribute("user", u);
            //req.getRequestDispatcher("/WEB-INF/jsp/showUser.jsp").forward(req, resp);
            resp.sendRedirect("show?id=" +u.getId());
        } catch (Exception e) {
            req.setAttribute("error", "problem creating user " + login + " " + signature);
            req.getRequestDispatcher("/WEB-INF/jsp/userForm.jsp").forward(req, resp);
            
        }
        
    }
    
}
